<?php

////////  crit du texte dans un fichier


function WriteFile($filename, $somecontent, $option)

{

	if (is_writable($filename)) {
	
		// Dans notre exemple, nous ouvrons le fichier $filename en mode d'ajout
		// Le pointeur de fichier est plac  la fin du fichier
		// c'est l que $somecontent sera plac
		if (!$handle = fopen($filename, $option)) {
			 $res= "Impossible d'ouvrir le fichier ($filename)";
			 exit;
		}
	
		// Ecrivons quelque chose dans notre fichier.
		if (fwrite($handle, $somecontent) === FALSE) {
		   $res= "Impossible d'crire dans le fichier ($filename)";
		   exit;
		}
		
		$res=1;
		
		fclose($handle);
						
	} else {
		$create=system('touch '.$filename, $val);
		$write=WriteFile($filename, $somecontent, $option);
		//$res= "Le fichier $filename n'est pas accessible en criture.";
	}
	
	
	

return $res;

}

/////////////		pallie l'absence de la fonction mimie
if ( ! function_exists ( 'mime_content_type' ) )
{
	
	function mime_content_type($filename) 
	{ 
	   $mime = array( 
		 
		   '.jpg' => 'image/jpeg', 
		   '.jpeg' => 'image/jpeg', 
		   '.tif' => 'image/tiff', 
		   '.tiff' => 'image/tiff',
		   '.JPG' => 'image/jpeg', 
		   '.JPEG' => 'image/jpeg', 
		   '.TIF' => 'image/tiff', 
		   '.TIFF' => 'image/tiff', 
		   '.xml' => 'text/xml', 
		   '.swf' => 'application/x-shockwave-flash', 
		   
	   ); 
	   return $mime[strrchr($filename, '.')]; 
	} 

}

////////////////  scanne un dossier et ses lements


function scan_filesofdir($DIR)
{
   
   $i=1;
   $files=array();
   
    if ($ODIR = opendir($DIR))
    {
        while ($FILE = readdir($ODIR))
        {
            if ( ($FILE != ".") && ($FILE != "..") && !is_dir($DIR.'/'.$FILE) )
            {
               	$files[$i]['name']=$FILE;
			  
				$files[$i]['fmtime']=date("d-m-Y H:i:s", filemtime($DIR.'/'.$FILE));	
				$files[$i]['size']=filesize($DIR.'/'.$FILE);
				$files[$i]['type']=mime_content_type($DIR.'/'.$FILE);
			   $i++;
            }
        }
    }
    else
    {
        printf ("Unable to open directory") ;
    }
	
	return $files;
}




////////////////  scanne un dossier et ses lements


function scan_dir($DIR)
{
   
   $i=0;
   $folders=array();
   
    if ($ODIR = opendir($DIR))
    {
        while ($FILE = readdir($ODIR))
        {
            if ( ($FILE != ".") && ($FILE != "..") && is_dir($DIR.'/'.$FILE) )
            {
               $folders[$i]['name']=$FILE;
			   $count=0;
			   
			   if ($ODIR2 = opendir($DIR.'/'.$FILE))
					{
						$foldertotalsize=0;
						while ($FILE2 = readdir($ODIR2))
						{
						 	if ( ($FILE2 != ".") && ($FILE2 != "..") && is_file($DIR.'/'.$FILE.'/'.$FILE2) )
            				{
							$foldertotalsize+=filesize($DIR.'/'.$FILE.'/'.$FILE2);
							$count++;
							}
						}
					}
					
                $folders[$i]['totalsize']=$foldertotalsize;
				$folders[$i]['count']=$count;

			   $i++;
            }
        }
    }
    else
    {
        printf ("Unable to open directory") ;
    }
	
	return $folders;
}



///////////////		PRODUIT UN OBJET FLASH (METHODE SATAY - comp. IE 6)


function FlashObject($width, $height, $src, $play='true')

{

$object='<object type="application/x-shockwave-flash"
data="'.$src.'" 
width="'.$width.'" height="'.$height.'">
<param name="movie" value="'.$src.'" />
<param name="play" value="'.$play.'" />
</object>
';

return $object;

}


///////////////		PRODUIT UN OBJET FLASH (METHODE SATAY - comp. IE 6)


function FlashObjectTransp($width, $height, $src, $play='true', $colorcode='ffffff')

{

$object='<object type="application/x-shockwave-flash"
data="'.$src.'" 
width="'.$width.'" height="'.$height.'">
<param name="movie" value="'.$src.'" />
<param name="play" value="'.$play.'" />
<param name="wmode" value="transparent" />
<param name="quality" value="best" />
<param name="bgcolor" value="#'.$colorcode.'" />
</object>
';

return $object;

}


/////////////		PRODUIT UN OBJECT QT (comp. IE6)

function VideoQuickTimeObject($width, $height, $scale, $src, $autoplay)

{

$object='<object id="IEQT" 
        classid="clsid:02BF25D5-8C17-4B23-BC80-D3488ABDDC6B"
        width="'.$width.'"
        height="'.$height.'">
    <param name="src" value="'.$src.'"/>
    <param name="autoplay" value="'.$autoplay.'"/>
    <param name="controller" value="true"/>
    <param name="scale" value="'.$scale.'"/>

  <!--[if !IE]> <-->

    <object id="NonIEQT"
            data="'.$src.'"
            type="video/quicktime"
            width="'.$width.'"
            height="'.$height.'">
       <param name="autoplay" value="'.$autoplay.'"/>
	    <param name="scale" value="'.$scale.'"/>
       <param name="controller" value="-1"/>
    </object>

  <!--> <![endif]-->

</object>
';


return $object;

}


////////////////////////////////////////////////////////////////////////////////////////////////
/////////////		DATE SQL ==>  PHP
////////////////////////////////////////////////////////////////////////////////////////////////

// formatagae de la date
	
	
function DateFormat($date, $lg)

{
	list($annee, $mois, $jour)=explode('-', $date);
	
	if('00' !== $jour)
	{
	$actualfpdate.=$jour.'-';
	}
	
	if('00' !== $mois)
	{
	$actualfpdate.=$mois.'-';
	}
	
	$actualfpdate.=$annee;

return $actualfpdate;

}


////////////////////////////////////////////////////////////////////////////////////////////////
/////////////		DATE SQL ==>  PHP
////////////////////////////////////////////////////////////////////////////////////////////////

// formatagae de la date
	
	
function ExtractDateElementsFromSql($date)

{
	list($tab['year'], $tab['mois'], $tab['day'])=explode('-', $date);
	
	
return $tab;

}
////////////////////////////////////////////////////////////////////////////////////////////////
/////////////		AFFICHAGE LONGUEUR MAXI
////////////////////////////////////////////////////////////////////////////////////////////////


function AffichageMaxChamp($champ, $maxlength)

{

	if (strlen($champ) >= $maxlength)
	{
	$champ=substr($champ,0,$maxlength).' ...';
	}
	
	return $champ;


}





///////////////////		retourne des tailles auto d'image

function AutoSizeImg($maxwidth, $maxheight, $pathtoimg)

{


$imginfo=getimagesize($pathtoimg);
		
$size=array();
		
		if ($imginfo[0] >= $imginfo[1])		// img horizontale
		{
		
			$width=$maxwidth;
			$height=round($imginfo[1]*($maxwidth/$imginfo[0]));
			$size['orient']='h';
			
			if ($height > $maxheight)
			{
			$height=$maxheight;
			$width=round($imginfo[0]*($maxheight/$imginfo[1]));
			}
			
		
		}
		
		else		// img verticale
		
		{
	
			$height=$maxheight;
			$width=round($imginfo[0]*($maxheight/$imginfo[1]));
			$size['orient']='v';

			if ($width > $maxwidth)
			{
			$width=$maxwidth;
			$height=round($imginfo[1]*($maxwidth/$imginfo[0]));
			}
		}

$size['width']=$width;
$size['height']=$height;


return $size;

}




?>